Show / Hide Table of Contents

# Class StyleEditorWindow

Window for the Dalamud style editor.

##### Inheritance

System.Object
Window
StyleEditorWindow

##### Inherited Members

Window.Namespace
Window.WindowName
Window.IsFocused
Window.RespectCloseHotkey
Window.Position
Window.PositionCondition
Window.Size
Window.SizeCondition
Window.SizeConstraints
Window.Collapsed
Window.CollapsedCondition
Window.Flags
Window.ForceMainWindow
Window.BgAlpha
Window.IsOpen
Window.Toggle()
Window.PreDraw()
Window.PostDraw()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Internal.Windows.StyleEditor

###### Assembly: Dalamud.dll

##### Syntax

    public class StyleEditorWindow : Window

### Constructors

| Improve this Doc View Source

#### StyleEditorWindow()

Initializes a new instance of the StyleEditorWindow class.

##### Declaration

    public StyleEditorWindow()

### Methods

| Improve this Doc View Source

#### Draw()

Code to be executed every time the window renders.

##### Declaration

    public override void Draw()

##### Overrides

Window.Draw()

##### Remarks

In this method, implement your drawing code. You do NOT need to ImGui.Begin your window.

| Improve this Doc View Source

#### OnClose()

Code to be executed when the window is closed.

##### Declaration

    public override void OnClose()

##### Overrides

Window.OnClose()
| Improve this Doc View Source

#### OnOpen()

Code to be executed when the window is opened.

##### Declaration

    public override void OnOpen()

##### Overrides

Window.OnOpen()